@import url('https://fonts.googleapis.com/css2?family=Barlow+Condensed:wght@500&family=Barlow:wght@300;400;500;600;700&display=swap');
@import url('../fonts/extra-fonts.css');
@import url('./theme-light.css');
@import url('./theme-dark.css');

html, body {
    overflow-x: hidden;
}

body {
    font-family: 'Barlow', sans-serif;
    font-weight: 400;
    margin: 0;
    padding: 0px 35px;
}

*>div {
    transition: color 0.5s;
    -webkit-transition: color 0.5s;
    -moz-transition: color 0.5s;
    -ms-transition: color 0.5s;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    z-index: 9;
}

.main-container {
    max-width: 290px;
    margin: 0 auto;
}

.main-container.show {
    overflow: hidden;
}

.theme-manage {
    position: absolute;
    top: 27px;
    right: 0px;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.5s;
    -webkit-transition: opacity 0.5s;
}

.theme-manage.active {
    opacity: 1;
    transition: opacity 0.5s;
    -webkit-transition: opacity 0.5s;
}

.theme-manage__switch {
    display: inline-block;
    width: 102px;
    height: 48px;
}
  
.theme-manage__switch input { 
    opacity: 0;
    width: 0;
    height: 0;
}
  
.theme-manage__slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    -webkit-transition: .4s;
    transition: .4s;
}
  
.theme-manage__slider:before {
    position: absolute;
    content: "";
    height: 48px;
    width: 48px;
    left: 0;
    bottom: 0;
    background: url('../images/handler-light.svg') no-repeat center center;
    -webkit-transition: .4s;
    transition: .4s;
    -webkit-transform: translateX(53px);
    -ms-transform: translateX(53px);
    transform: translateX(53px);
    z-index: 2;
}

.theme-manage__slider::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 95px;
    height: 30px;
    border: 1.5px solid #000000;
    box-sizing: border-box;
    border-radius: 30px;
    transform: translate(0, -50%);
    -webkit-transform: translate(0, -50%);
    -moz-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
}

.dark-round::after {
    border-color: #A2A2A2;
}
  
.theme-manage__switch input.checked + .theme-manage__slider:before {
    -webkit-transform: translateX(-5px);
    -ms-transform: translateX(-5px);
    transform: translateX(-5px);
    background: url('../images/handler-dark.svg') no-repeat center center;
}
  
  /* Rounded sliders */
.theme-manage__slider.theme-manage__round {
    border-radius: 20px;
}
  
.theme-manage__slider.theme-manage__round:before {
    border-radius: 50%;
}

.theme-manage__text {
    font-family: 'Barlow Condensed', sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 1.6px;
    text-transform: uppercase;
    color: #0A84FF;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    -webkit-transform: translate(0, -50%);
    -moz-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
}

.light-text {
    left: 13px;
}

.dark-text {
    right: 17px;
}

.navigation {
    width: 60px;
    height: 60px;
    position: fixed;
    bottom: -70px;
    left: 50%;
    transform: translate(-50%, 0);
    -webkit-transform: translate(-50%, 0);
    -moz-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    border-radius: 30px;
    background-color: #0A84FF;
    display: flex;
    align-items: center;
    z-index: 3;
    transition: bottom 0.75s, width 1s;
    -webkit-transition: bottom 0.75s, width 1s;
}

.navigation.active {
    bottom: 30px;
    transition: bottom 0.75s;
    -webkit-transition: bottom 0.75s;
}

.navigation.expend {
    width: 320px;
    transition: width 1s;
    -webkit-transition: width 1s;
}

.navigation::before {
    content: '';
    position: absolute;
    top: 8px;
    left: 0;
    width: 60px;
    height: 60px;
    background-color: rgba(10, 132, 255, 0.32);
    z-index: -3;
    border-radius: 33px;
    filter: blur(7px);
    transition: width 1s;
    -webkit-transition: width 1s;
}

.navigation.expend::before {
    width: 320px;
    transition: width 1s;
    -webkit-transition: width 1s;
}

.nav-list {
    margin: 0 15px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    position: relative;
    opacity: 0;
    visibility: hidden;
    transition: all 1s;
    -webkit-transition: all 1s;
}

.navigation.show .nav-list {
    opacity: 1;
    visibility: visible;
    transition: all 1s;
    -webkit-transition: all 1s;
}

.nav-item {
    list-style: none;
    margin: 0 13px;
    padding: 13px 0px;
    text-transform: uppercase;
    cursor: pointer;
    color: #fff;
    font-weight: 500;
    font-size: 15px;
    line-height: 18px;
    letter-spacing: 0.3px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-tap-highlight-color:  rgba(255, 255, 255, 0); 
}

.nav-item.active {
    padding: 13px 20px;
    margin: 0;
    color: #0A84FF;
    position: relative;
    z-index: 2;
}

.selector{
    height:100%;
    display:inline-block;
    position:absolute;
    left:0px;
    top:0px;
    z-index:1;
    border-radius:50px;
    transition-duration:0.6s;
    /* background-color: #000; */
  }
  .selector::before {
      content: '';
      position: absolute;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      border-radius: 22px;
      z-index: -2;
      background: #fff;
      background: linear-gradient(left, #FFFFFF, #F8F8F8, #C6C6C6);
      background: -webkit-linear-gradient(left, #FFFFFF, #F8F8F8, #C6C6C6);
      background: -moz-linear-gradient(left, #FFFFFF, #F8F8F8, #C6C6C6);
      background: -ms-linear-gradient(left, #FFFFFF, #F8F8F8, #C6C6C6);
      box-shadow: 0px 4px 10px rgba(0,9,118,0.25);
      transition-duration:0.6s;
      transition-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  
  .selector::after {
      content: '';
      position: absolute;
      left: 5px;
      top: 5px;
      width: calc(100% - 10px);
      height: calc(100% - 10px);
      border-radius: 22px;
      z-index: -1;
      background: #fff;
      background: linear-gradient(right, #FFFFFF, #F8F8F8, #C6C6C6);
      background: -webkit-linear-gradient(right, #FFFFFF, #F8F8F8, #C6C6C6);
      background: -moz-linear-gradient(right, #FFFFFF, #F8F8F8, #C6C6C6);
      background: -ms-linear-gradient(right, #FFFFFF, #F8F8F8, #C6C6C6);
      box-shadow: 0px 4px 10px rgba(0,9,118,0.25);
      transition-duration:0.6s;
      transition-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }

.section {
    width: 290px;
    position: absolute;
    left: 50%;
    top: 0;
    transform: translate(-50%, 0);
    opacity: 0;
    transition: opacity 0.5s;
    -webkit-transition: opacity 0.5s;
    z-index: 1;
    overflow: hidden;
}

.section.active {
    opacity: 1;
    transition: opacity 0.5s;
    -webkit-transition: opacity 0.5s;
    z-index: 2;
}
/* bio css */
#bio {
    padding-top: 30px;
    position: relative;
    overflow: hidden;
}

.designation {
    font-weight: 500;
    font-size: 17px;
    line-height: 20px;
    letter-spacing: 0.34px;
    margin-bottom: 20px;
    opacity: 0;
    transition: opacity 0.5s;
    -webkit-transition: opacity 0.5s;
}

.designation.active {
    opacity: 1;
    transition: opacity 0.5s;
    -webkit-transition: opacity 0.5s;
}

.experience {
    font-weight: 400;
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0;
    margin-top: 4px;
}

.name {
    margin-bottom: 8px;
    font-family: 'Manuka';
    font-weight: 500;
    font-size: 136px;
    line-height: 132px;
    letter-spacing: 4.76px;
    text-transform: uppercase;
    text-align: center;
}

.f-name {
    position: relative;
    left: -500px;
    transition: left 1.5s;
    -webkit-transition: left 1.5s;
}

.f-name.active {
    left: 0;
    transition: left 1.5s;
    -webkit-transition: left 1.5s;
}

.l-name {
    margin-bottom: 0;
    margin-top: 15px;
    font-size: 148px;
    line-height: 130px;
    letter-spacing: 5.18px;
    position: relative;
    right: -500px;
    transition: right 1.5s;
    -webkit-transition: right 1.5s;
}

.l-name.active {
    right: 0;
    transition: right 1.5s;
    -webkit-transition: right 1.5s;
}

.bio-details {
    font-size: 16px;
    line-height: 24px;
    text-align: justify;
    letter-spacing: 0.2px;
    opacity: 0;
    transition: opacity 1s;
    -webkit-transition: opacity 1s;
}

.bio-details.active {
    opacity: 1;
    transition: opacity 1s;
    -webkit-transition: opacity 1s;
}
/* bio css */

/* work css */
.tagline {
    text-align: center;
    width: 100%;
    height: 64px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0 0 40px 40px;
    /* font-family: 'Nothing You Could Do';
    font-weight: 100; */
    font-size: 18px;
    line-height: 19px;
    /* letter-spacing: 0.18px; */
    text-transform: capitalize;
    position: absolute;
    left: 50%;
    top: -65px;
    transform: translate(-50%, 0);
    transition: top 0.5s;
    -webkit-transition: top 0.5s;;
    -moz-transition: top 0.5s;
    -ms-transition: top 0.5s;
}

.tagline.active {
    top: 0;
    transition: top 0.5s;
    -webkit-transition: top 0.5s;;
    -moz-transition: top 0.5s;
    -ms-transition: top 0.5s;
}

#work {
    padding-top: 104px;
}

.work {
    margin-top: 30px;
    opacity: 0;
    transition: opacity 1.5s;
    -webkit-transition: opacity 1.5s;
}

.work.show {
    opacity: 1;
    transition: opacity 1.5s;
    -webkit-transition: opacity 1.5s;
}

.work-year {
    display: inline-block;
    padding-top: 10px;
    margin-bottom: 8px;
    font-family: 'Manuka';
    font-weight: 500;
    font-size: 30px;
    line-height: 33px;
    letter-spacing: 1.5px;
    text-transform: uppercase;
    position: relative;
}

.work-year::before {
    content: '';
    width: 0;
    height: 1.5px;
    position: absolute;
    top: 0;
    left: 0;
    transition: width 1.5s;
    -webkit-transition: width 1.5s;
}

.show .work-year::before {
    width: 100%;
    transition: width 1.5s;
    -webkit-transition: width 1.5s;
}

.work.current .work-year {
    color: #0A84FF !important;
}

.work-designation {
    font-size: 16px;
    line-height: 24px;
}

.work-location {
    font-size: 16px;
    line-height: 24px;
}
/* work css */

/* projects css */
#projects {
    padding-top: 134px;
}

/*.project-slider {
    opacity: 0;
    left: 50px;
    transition: left 0.75s, opacity 1s;
    -webkit-transition: left 0.75s, opacity 1s;
}

.project-slider.active {
    opacity: 1;
    left: 0;
    transition: left 0.75s, opacity 1s;
    -webkit-transition: left 0.75s, opacity 1s;
}*/

.project-slider {
    margin: 0 -10px;
}

.project-image {
    position: relative;
    z-index: 2;
}

.project-image img {
    max-width: 100%;
    display: block;
    margin: 0 auto;
}

.project-about {
    position: absolute;
    left: 21px;
    bottom: 13px;
}

.project-name {
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
    color: #fff;
}

.project-work {
    font-weight: 300;
    color: #fff;
}

.project-website {
    padding: 18px 23px 20px;
    position: relative;
}

.project-website::before {
    content: '';
    position: absolute;
    top: -30px;
    left: 0;
    width: calc(100% - 3px);
    height: calc(100% + 28px);
    z-index: -1;
    border-width: 1.5px;
    border-style: solid;
    border-radius: 0 0 20px 20px;
}

.project-website a {
    display: inline-block;
    padding-right: 40px;
    background: url('../images/web-open-icn.svg') no-repeat right center;
}

.project-number {
    padding: 25px 0;
    font-weight: 500;
    font-size: 15px;
    line-height: 18px;
    letter-spacing: 0.3px;
    text-transform: uppercase;
}

.slick-arrow {
    position: absolute;
    bottom: 15px;
    width: 36px;
    height: 36px;
    border: none;
    padding: 0;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 37px;
    text-indent: -999999px;
    border-radius: 30px;
    z-index: 2;
}

.slick-arrow.slick-prev {
    right: 70px;
}

.slick-arrow.slick-next {
    right: 10px;
}

.slides-numbers {
    display: block;
    position: absolute;
    bottom: 25px;
    font-weight: 500;
    font-size: 15px;
    line-height: 18px;
    letter-spacing: 0.3px;
    text-transform: uppercase;
    opacity: 0;
    transition: opacity 1.5s;
    -webkit-transition: opacity 1.5s;
}

.slides-numbers.show {
    opacity: 1;
    transition: opacity 1.5s;
    -webkit-transition: opacity 1.5s;
}
/* projects css */

/* more css */
#more {
    padding-top: 104px;
}

.more-section {
    margin-bottom: 12px;
    opacity: 0;
    transition: opacity 1.5s;
    -webkit-transition: opacity 1.5s;
    box-sizing: border-box;
    position: relative;
}

.more-section::before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-width: 1.5px;
    border-style: solid;
    border-radius: 10px;
    box-sizing: border-box;
    z-index: -1;
}

.more-section.show {
    opacity: 1;
    transition: opacity 1.5s;
    -webkit-transition: opacity 1.5s;
}

.more-heading {
    font-family: 'Barlow Condensed', sans-serif;
    font-weight: 500;
    font-size: 22px;
    line-height: 26px;
    letter-spacing: 4.4px;
    padding: 16px 20px;
    border-width: 1.5px;
    border-style: solid;
    border-radius: 10px;
    text-transform: uppercase;
    cursor: pointer;
    position: relative;
    box-sizing: border-box;
}

.more-heading::before {
    content: '';
    width: 9px;
    height: 1.5px;
    background-color: #fff;
    position: absolute;
    right: 28px;
    top: 27px;
}

.more-heading::after {
    content: '';
    width: 9px;
    height: 1.5px;
    background-color: #fff;
    position: absolute;
    transform: rotate(90deg);
    right: 28px;
    top: 27px;
    transition: transform 0.5s;
}

.more-section.active .more-heading::after {
    transform: rotate(0deg);
    transition: transform 0.5s;
}

.more-section.active .more-heading {
    color: #0A84FF !important;
}

.more-content {
    padding: 20px;
    display: none;
}

/* .more-section.active .more-content {
    display: block;
} */

.more-content ul {
    margin: 0;
    padding: 0;
}

.more-content ul li {
    list-style: none;
    font-weight: 500;
    font-size: 14px;
    line-height: 18px;
    margin-bottom: 12px;
}

.more-content ul li:last-child {
    margin-bottom: 0;
}

.more-content ul li span {
    display: block;
}

.more-content ul li a {
    display: flex;
    align-items: center;
    text-decoration: none;
    padding: 7px 0;
}

.more-content ul li a img {
    margin-right: 10px;
}

.more-content ul li a span {
    display: inline-block;
    text-decoration: underline;
}
/* more css */
@media (max-height: 700px) {
    .main-container {
        padding-bottom: 95px;
    }
}
@media (min-width: 768px) {
    .main-container {
        position: relative;
        height: 758px;
    }

    .main-container::before {
        content: '';
        position: absolute;
        left: -35px;
        top: 0;
        width: 360px;
        height: 758px;
        border: 1px solid #DEDEDE;
        border-radius: 40px;
    }

    .navigation {
        position: absolute !important;
    }
}

@media (min-width: 1441px) {
    .main-container {
        position: absolute;
        width: 290px;
        height: 758px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}